Subject: Re: bug#51605: Fwd: [PATCH] Update themes to support mode-line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Dec 2021 15:19:07 +0200

> From: Pedro Andres Aranda Gutierrez <[email-masked]>
> Date: Wed, 8 Dec 2021 07:45:57 +0100
> Cc: Juri Linkov <[email-masked]>, Stefan Kangas <[email-masked]>, [email-masked]
> 
> point taken... if it isn't the fringe, then something else. I find it more problematic to have the same face for the
> buffer and line numbers. 
> And it's from the conceptual point of view that line numbers aren't buffer and therefore should have a different
> face by default.
> 
> OK, I use a couple of themes that happen to have a shadowy background for the fringe, but I could live with
> anything that makes this _conceptual_ difference visible. 

I don't think I agree with this concept.  For example, the stuff
usually written into the display margins is also separate from the
buffer text, but we still use the same 'default' face there.

> (Just my .2c worth of experience; when I edit/correct Python exercises from my students, this visual
> difference helps me detecting indentation errors much quicker; my student's experience: different line number
> and buffer faces help them editing and therefore adopting Emacs as their editor of choice for Python and from
> there they explore org-mode for their short papers and presentations and they become regular users in no
> time ;-) )

No one argues that some situations and some personal preferences call
for a distinct face for the line numbers.  That's why we use a special
face there, not the default face.  That's not what the argument is
about.  It is about changing the defaults, and that must have reasons
much more serious than just anecdotal evidence about this or that use
case.